# Custom Templates - Add-On

##### v0.9.22 (12/08/2024)

### Have you ever wanted to customize new projects?

Custom Templates Add-On allows you to use your own .blend files as template options for new projects.

![File > New menu with the add-on custom buttons](./images/File__New.png)

### Project Structure

- Addon files: /addon/*
- Release .zip files: /releases/<major_version_folder>/*

### Preferences

In the add-on preferences, you can manage the list of your custom template files.

You can add, remove and reorder templates.

Each template has it's Name, and Path to the .blend file.

![Custom Templates Preferences](./images/Addons_Preferences.png)

### How to use

You can always open the add-on preferences using the button `File > Defaults > Manage templates`.

Instead of using preferences, you can select a new template file using `File > Defaults > Select new custom template`, or, if you have a .blend file open, you can use `File > Defaults > Use current as new template`. 
*This functions will open a popup where you can also set the Name for the new template*

![File > Defaults menu with the add-on custom buttons](./images/File__Defaults.png)

### Copyright

This add-on is developed under GPL-3.0 license by Francesco Bellini from 2024.
*See the [LICENSE](./LICENSE) file.*
